package ru.yandex.webmaster3.core.turbo.model.commerce;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.google.common.base.Strings;

/**
 * Created by Oleg Bazdyrev on 05/09/2018.
 */
public enum CartUrlType {
    BITRIX,
    OPENCART,
    CUSTOM;

    @JsonCreator
    public static CartUrlType fromString(String value) {
        if (Strings.isNullOrEmpty(value)) {
            return null;
        }
        return CartUrlType.valueOf(value);
    }
}
